/*
	Ramp Spawning Script - keybinds
	--------------------------------------------------
	This file includes the keybinds used to spawn ramps and the server/client link.
	
	Authors: Juppi, AdTec_224(?) (VehBoost without object spawning)
*/

function onScriptLoad()
{
	BindKey( 'O', BINDTYPE_DOWN, "SpawnRamp" );
	BindKey( 'P', BINDTYPE_DOWN, "SpawnRampWithBoost" );
	BindKey( 'I', BINDTYPE_DOWN, "VehBoost" );
	
	print( "== Ramp script loaded ==" );
	print( "- Press 'O' to spawn a ramp" );
	print( "- Press 'P' to spawn a ramp and give your vehicle a speed boost" );
	print( "- Press 'I' to give your vehicle a speed boost" );
	
	g_pLocalPlayer <- FindLocalPlayer();
	
	return 1;
}

function SpawnRamp()
{
	local veh = g_pLocalPlayer.Vehicle;
	if ( veh )
	{
		local driver = veh.Driver;
		if ( driver && driver.ID == g_pLocalPlayer.ID )
		{
			CallServerFunc( "ramps/ramp.nut", "SpawnRamp", g_pLocalPlayer.ID, false );
		}
	}
}

function SpawnRampWithBoost()
{
	local veh = g_pLocalPlayer.Vehicle;
	if ( veh )
	{
		local driver = veh.Driver;
		if ( driver && driver.ID == g_pLocalPlayer.ID )
		{
			CallServerFunc( "ramps/ramp.nut", "SpawnRamp", g_pLocalPlayer.ID, true );
		}
	}
}

function VehBoost()
{
	local veh = g_pLocalPlayer.Vehicle;
	if ( veh )
	{
		local driver = veh.Driver;
		if ( driver && driver.ID == g_pLocalPlayer.ID )
		{
			CallServerFunc( "ramps/ramp.nut", "VehicleBoost", g_pLocalPlayer );
		}
	}
}
